<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for vbrowser.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
vbrowser - visual browser for SUIF

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>vbrowser</B> [ <I>options</I> ] { <I>infile</I> }*

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>vbrowser</I> program gives a powerful graphical user
interface to view SUIF files. The input can be any single
SUIF file, or any set of files that together form a fileset
(see <I>linksuif</I> and the SUIF library reference manual
for more information). If no input file is given on the
command line, the files to be opened will have to be
selected through the ``Open File Set...'' option under
``File'' on the menu bar of the main window.
<P>
The interface is largely self-explanatory. At start-up, a
base window is opened from which other views of the SUIF
file or files may be opened. Just start it up on a nontrivial
SUIF file and start experimenting. It can do even
more if the source files and s2c output (.out.c) files are
in the same directory as the SUIF files. In that case,
you can have source file, SUIF, and output C windows open
and clicking in one will highlight the corresponding code
in the other windows. Clicking on ``Help'' from the menu
bar of the main window will show a help screen with some
more information.
<P>
The <I>vbrowser</I> needs to find the tcl files for
visual_tcl_lib to run. It looks in the directory
$VISUAL_TCL for these files. If $VISUAL_TCL is not set,
it uses $SUIFHOME/tcl instead. Since an ordinary installation
puts the visual_tcl_lib files into $SUIFHOME/tcl,
$VISUAL_TCL shouldn't normally need to be set by the user.
<P>
In addition, at start-up time, vbrowser looks for a configuration
file that is used mainly to set fonts and colors
(a standard X windows resource file). It looks for
(in    order):     ``$HOME/.visual.rc'',    ``$VISUAL_CONFIG/visual.rc'',

<DL>

<DT>``/usr/local/lib/visual.rc'', </DT></DT>
<DD>    and
``$SUIFHOME/$MACHINE/visual.rc''. As soon as it finds
one, it stops looking for any others. Note that this
allows the user to set $VISUAL_CONFIG to point to the
directory containing the visual.rc file of choice. If
$VISUAL_CONFIG is not set, $VISUAL_CONFIG/visual.rc will
be omitted from the serach list. If none of these is
found, a warning is printed, but <I>vbrowser</I> will still operate
normally. A sample visual.rc is included with the
visual_tcl_lib sub-package, but it is not installed anywhere
by default.
</DD>
</DL>
<P>
Note that if you click the right mouse button in the call
graph viewer window, you will get a menu that includes the
``Layout'' option. The second choice under the ``Layout''
option is ``Dot''. That option uses the external program
<I>dot</I> to layout the graph -- data is exported to a file, <I>dot</I>
is run on that file, and then the result is read back in
from a file and used to layout the graph on the screen.
The <I>dot</I> program is not a part of a SUIF distribution. It
is part of the Bell Labs graphviz package. In order to
successfully use this option, you must install graphviz on
your system and make sure the <I>dot</I> command is in your path.
The graphviz package is available directly from Bell Labs
at ``http://www.research.att.com/orgs/ssr/book/reuse''.

<H2><A NAME="sect3" HREF="#toc3"><B>Options</B></A></H2>

<P>
<B>-help</B> Show a help message.

<DL>

<DT><B>-sync</B> </DT></DT>
<DD>Use synchronous mode for display server.
</DD>
</DL>

<H2><A NAME="sect4" HREF="#toc4"><B>History</B></A></H2>

<P>
This program was written by Jing Yee Lim.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">Options</A></LI>
<LI><A NAME="toc4" HREF="#sect4">History</A></LI>
</UL>
</BODY></HTML>
